Bug 1126822 - [abrt] d-feet: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Summary: [abrt] d-feet: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: d-feet
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:418854ed1f98ae9ea4fc13c7c1c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 11:27 UTC by Ritesh Khadgaray
Modified: 2015-12-02 16:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:20:42 UTC


Attachments (Terms of Use)
File: backtrace (63.11 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: core_backtrace (34.73 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: dso_list (12.67 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: environ (2.83 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: maps (58.49 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: open_fds (675 bytes, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details
File: var_log_messages (2.99 KB, text/plain)
2014-08-05 11:27 UTC, Ritesh Khadgaray
no flags Details

Description Ritesh Khadgaray 2014-08-05 11:27:17 UTC
Version-Release number of selected component:
d-feet-0.3.9-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/d-feet
crash_function: g_type_check_instance_cast
executable:     /usr/bin/python2.7
kernel:         3.16.0-0.rc6.git2.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4008
 #1 rebuild_child at gtkstackswitcher.c:110
 #2 update_button at gtkstackswitcher.c:181
 #8 g_object_notify_by_spec_internal at gobject.c:1149
 #9 g_object_notify at gobject.c:1197
 #10 gtk_widget_show at gtkwidget.c:4854
 #11 ffi_call_unix64 at /lib64/libffi.so.6
 #12 ffi_call at /lib64/libffi.so.6
 #13 pygi_callable_info_invoke at /usr/lib64/python2.7/site-packages/gi/_gi.so
 #14 _callable_info_call at /usr/lib64/python2.7/site-packages/gi/_gi.so

Comment 1 Ritesh Khadgaray 2014-08-05 11:27:20 UTC
Created attachment 924175 [details]
File: backtrace

Comment 2 Ritesh Khadgaray 2014-08-05 11:27:22 UTC
Created attachment 924177 [details]
File: cgroup

Comment 3 Ritesh Khadgaray 2014-08-05 11:27:24 UTC
Created attachment 924178 [details]
File: core_backtrace

Comment 4 Ritesh Khadgaray 2014-08-05 11:27:26 UTC
Created attachment 924179 [details]
File: dso_list

Comment 5 Ritesh Khadgaray 2014-08-05 11:27:27 UTC
Created attachment 924180 [details]
File: environ

Comment 6 Ritesh Khadgaray 2014-08-05 11:27:28 UTC
Created attachment 924181 [details]
File: exploitable

Comment 7 Ritesh Khadgaray 2014-08-05 11:27:30 UTC
Created attachment 924182 [details]
File: limits

Comment 8 Ritesh Khadgaray 2014-08-05 11:27:32 UTC
Created attachment 924183 [details]
File: maps

Comment 9 Ritesh Khadgaray 2014-08-05 11:27:33 UTC
Created attachment 924184 [details]
File: open_fds

Comment 10 Ritesh Khadgaray 2014-08-05 11:27:35 UTC
Created attachment 924185 [details]
File: proc_pid_status

Comment 11 Ritesh Khadgaray 2014-08-05 11:27:36 UTC
Created attachment 924186 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:16:34 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:20:44 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.